.navigation-wrapper {
    top: 0;
    left: 0;
    right: 0;
    position: fixed;
    z-index: @zindex-navbar-fixed;
    transition: top .35s;
}

.canvas-nav {
    position: relative;
    background-color: @white;
    color: @nav-text-color;
    transition: background-color .25s;

    &__is-animated {
        visibility: hidden;

        body.admin-tools-visible & {
            visibility: visible !important;
        }
    }

    &__container {
        display: flex;
        flex-flow: row nowrap;
        align-items: center;

        @media (min-width: 500px) and (max-width: @screen-md-max) {
            width: 100%;
            padding-left: @grid-gutter-width;
            padding-right: @grid-gutter-width;
        }
        @media screen and (max-width: 550px){
            height: 83px;
        }
    }

    &__logo-wrap {
        flex: 0 0;
        position: relative;
        z-index: 1;
    }

    &__links {
        z-index: 1;
        flex: 2 1;
        padding: @grid-gutter-width/2 @grid-gutter-width*1.5 0 @grid-gutter-width*1.5;
        align-self: stretch;
        display: flex;
        flex-direction: column;

        @media (max-width: @screen-md-max) {
            padding: @grid-gutter-width/2 @grid-gutter-width 0 @grid-gutter-width;
        }

        @media (max-width: @screen-sm-max) {
            display: none;
        }
    }

    &__user-actions {
        position: relative;
        z-index: 1;
        flex: 0 0;
        margin-left: auto;

        .dropdown-menu {
            left: auto;
            right: 0;
        }
    }

    &__user-element {
        @media (min-width: @screen-md-min) {
            margin-left: @grid-gutter-width/1.5;
        }

        @media (min-width: @screen-lg-min) {
            margin-left: @grid-gutter-width;
        }
    }

    &-icon {
        width: 30px;
        height: 30px;
    }
}

.canvas-nav__transparent:not(.nav-scrolled) {
    @media (min-width: @screen-md-min) {
        background-color: transparent;
        color: @nav-text-color-inverse;

        .canvas-nav__logo-wrap {
            .logo-black {
                display: none;
            }
            .logo-white {
                display: block;
            }
        }

        ul.canvas-nav__pages,
        ul.canvas-nav__category-menu-items {
            > li > a {
                color: @nav-link-color-inverse;

                &:hover,
                &:focus {
                    color: @nav-link-hover-color-inverse;
                }
            }
        }

        .canvas-nav__user-actions {
            button,
            .nav-button {
                color: @nav-link-color-inverse;

                &:hover,
                &:focus {
                    color: @nav-link-hover-color-inverse;
                }
            }
        }
    }
}

.canvas-nav.megamenu-open {
    @media (min-width: @screen-md-min) {
        color: @nav-text-color-inverse !important;

        .canvas-nav__logo-wrap {
            .logo-black {
                display: none !important;
            }
            .logo-white {
                display: block !important;
            }
        }

        ul.canvas-nav__pages,
        ul.canvas-nav__category-menu-items {
            > li > a {
                color: @nav-link-color-inverse !important;

                &:hover,
                &:focus {
                    color: @nav-link-hover-color-inverse !important;
                }
            }
        }

        .canvas-nav__user-actions {
            button,
            .nav-button {
                color: @nav-link-color-inverse !important;

                &:hover,
                &:focus {
                    color: @nav-link-hover-color-inverse !important;
                }
            }
        }
    }
}

.canvas-nav__logo-wrap {
    padding-top: @grid-gutter-width/2;
    padding-bottom: @grid-gutter-width/2;

    img {
        height: auto;
        width: 90px;
    }

    .logo-black {
        display: block;
    }

    .logo-white {
        display: none;
    }
}

.canvas-nav__user-actions {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;

    button,
    .nav-button {
        padding: 0 5px;
        border: 0;
        background: none;
        color: @nav-link-color;
        display: inline-block;
        transition: all .25s;

        &:focus:not(:focus-visible) {
            outline: none;
        }

        &:hover,
        &:focus {
            color: @nav-link-hover-color;
        }
    }

    &__desktop-only {
        display: flex;
        flex-flow: row nowrap;

        @media (max-width: @screen-sm-max) {
            display: none;
        }
    }
}

ul.canvas-nav__pages {
    position: static;
    z-index: 2;
    display: flex;
    flex-flow: row wrap;
    list-style-type: none;
    margin: 0;
    padding: 0;
    flex-grow: 1;
    flex-shrink: 1;

    > li {
        position: relative;

        > a {
            display: block;
            padding: @grid-gutter-width/6 @grid-gutter-width/2;
            font-size: @font-size-smaller;
            margin-right: @grid-gutter-width/2;
            transition: all .25s;
            font-weight: 500;
        }
    }

    li {
        &.current > a {
            text-decoration: underline;
        }

        &:hover > ul {
            display: block;
        }
    }

    ul {
        display: none;
        padding: 15px;
        background: #fff;
        list-style-type: none;
        position: absolute;
        top: 100%;
        left: 0;
        min-width: 250px;
        border: 1px solid @border-color;

        li {
            display: block;

            a {
                display: block;
                padding: 10px 0;
                font-weight: 500;
            }
        }
    }
}

ul.canvas-nav__category-menu-items {
    position: static;
    z-index: 1;
    display: flex;
    flex-flow: row nowrap;
    list-style-type: none;
    margin: 0;
    padding: 0;

    > li {
        display: flex;

        &:hover > a {
            font-weight: 900;
            color: @nav-link-hover-color;
            text-decoration: none;
        }

        > a {
            display: inline-flex;
            flex-flow: column nowrap;
            align-items: center;
            padding: @grid-gutter-width/3 @grid-gutter-width/2 @grid-gutter-width/2 @grid-gutter-width/2;
            padding-bottom: 10px;
            font-size: @font-size-large;
            font-weight: 700;
            text-transform: uppercase;
            color: @nav-link-color;
            transition: all .25s;
            font-family: @headings-font-family;
            letter-spacing: @headings-letter-spacing;

            @media (max-width: @screen-md-max) {
                font-size: @font-size-base;
                padding: @grid-gutter-width/3;
                padding-bottom: 10px;
                white-space: nowrap;
                letter-spacing: -0.05em;
            }

            &:hover,
            &:focus {
                font-weight: 900;
                color: @nav-link-hover-color;
                text-decoration: none;
            }

            // A little hack to keep elements in their place when hovering and changing font weight
            &::after {
                content: attr(data-text);
                content: attr(data-text) / "";
                height: 0;
                visibility: hidden;
                overflow: hidden;
                user-select: none;
                pointer-events: none;
                font-weight: 900;

                @media speech {
                    display: none;
                }
            }
        }
    }
}

.canvas-nav__counter-badge {
    width: 21px;
    height: 21px;
    position: absolute;
    top: 0;
    right: 0;
    background: @black;
    color: @white;
    font-size: 10px;
    line-height: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-weight: 800;
    transform: translate(3px, -30%);
    border: 2px solid white;
    letter-spacing: -1px;

    &:empty {
        display: none;
    }
}
